Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515599 - Can not detect update via "yum update" from rhvh-4.1.7 to rhvh-4.1-0.20171117.0
Summary: Can not detect update via "yum update" from rhvh-4.1.7 to rhvh-4.1-0.20171117.0
Keywords:
Status: CLOSED DUPLICATE of bug 1515603
Alias: None
Product: ovirt-node
Classification: oVirt
Component: Installation & Update
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
: ---
Assignee: Ryan Barry
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 05:46 UTC by Huijuan Zhao
Modified: 2017-11-21 09:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 09:50:13 UTC
oVirt Team: Node
cshao: testing_ack+


Attachments (Terms of Use)
All logs from host (deleted)
2017-11-21 05:46 UTC, Huijuan Zhao
no flags Details

Description Huijuan Zhao 2017-11-21 05:46:53 UTC
Created attachment 1356382 [details]
All logs from host

Description of problem:
It reports "No packages marked for update" when upgrade host from rhvh-4.1.7 to rhvh-4.1-20171117.0 via "yum update".
But no such issue when upgrade via "yum install update.rpm" and upgrade from rhvm side, with same local repos.
Also no such issue when upgrade from rhvh-4.1.6 to rhvh-4.1-20171117.0 via "yum update".


Version-Release number of selected component (if applicable):
From: rhvh-4.1-0.20171101.0
      redhat-virtualization-host-image-update-placeholder-4.1-7.0.el7.noarch
To:   rhvh-4.1-0.20171117.0
      redhat-virtualization-host-image-update-placeholder-4.1-7.0.el7.noarch

How reproducible:
100%


Steps to Reproduce:
1. Clean install rhvh-4.1-0.20171101.0
2. Setup local repos which include rhvh-4.1-0.20171117.0
3. Upgrade host via "yum update"
4. Check the upgrade process

5. Download update rpm, and upgrade host via
# yum install redhat-virtualization-host-image-update-4.1-20171117.0.el7_4.noarch.rpm
Can upgrade successful.
6. Register rhvh-4.1-0.20171101.0 to rhvm, and setup same local repos as step 2, upgrade from rhvm side.
Can upgrade successful.


Actual results:
After step4, it reports "No packages marked for update":

# yum update
Loaded plugins: imgbased-persist, product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Repo rhel-7-server-rhvh-4-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
No packages marked for update


Expected results:
After step4, can detect update 4.1-20171117.0.el7_4 , and can upgrade successful.


Additional info:

Comment 1 Ryan Barry 2017-11-21 09:50:13 UTC

*** This bug has been marked as a duplicate of bug 1515603 ***


Note You need to log in before you can comment on or make changes to this bug.